%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

# WARNING
# To build this package, you must set LC_ALL to fr
# example : LC_ALL=fr rpm -ba aspell-fr.spec

%define src_ver 0.50-3
%define languagelocal francais
%define languageeng french
%define languageenglazy French
%define languagecode fr
%define lc_ctype fr_FR

Name:		aspell-%{languagecode}
Version:	0.60
Release:	%mkrel 3
Summary:	%{languageenglazy} files for aspell
Group:		System/Internationalization
Source:		http://aspell.sourceforge.net/aspell-%{languagecode}-%{src_ver}.tar.bz2
URL:		http://aspellfr.free.fr/aspell/
License:	GPL
Epoch:		1
Provides: spell-fr

BuildRequires:	aspell >= 0.50
Requires:	aspell >= 0.50

BuildRequires:	locales-fr

# Mageia Stuff
Requires:	locales-%{languagecode}
# aspell = 1, myspell = 2, lang-specific = 3
Provides:	aspell-dictionary

Autoreqprov:	no

%description
A %{languageenglazy} dictionary for use with aspell, a spelling checker.

%prep
%setup -q -n %{name}-%{src_ver}

%build
export LC_ALL=fr
./configure
%make

%install
export LC_ALL=fr
%make_install

# fix doc perms
chmod 644 README COPYING

%files
%doc README COPYING
%{_libdir}/aspell-*/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1:0.60-3.mga8
+ Revision: 1510307
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Fri Sep 21 2018 umeabot <umeabot> 1:0.60-2.mga7
+ Revision: 1294784
- Mageia 7 Mass Rebuild

* Fri Apr 22 2016 tv <tv> 1:0.60-1.mga6
+ Revision: 1004907
- new release

* Tue Feb 02 2016 umeabot <umeabot> 1:0.50.3-24.mga6
+ Revision: 932610
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:0.50.3-23.mga5
+ Revision: 751053
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0.50.3-22.mga5
+ Revision: 677941
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1:0.50.3-21.mga4
+ Revision: 502655
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1:0.50.3-20.mga3
+ Revision: 346244
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 04 2012 kamil <kamil> 1:0.50.3-19.mga2
+ Revision: 204400
- drop providing of enchant-dictionary
- clean .spec a bit
+ dmorgan <dmorgan>
- Remove mandriva occurencies
+ ahmad <ahmad>
- imported package aspell-fr


* Mon Nov 29 2010 Oden Eriksson <oeriksson@mandriva.com> 1:0.50.3-18mdv2011.0
+ Revision: 603209
- rebuild

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 1:0.50.3-17mdv2010.1
+ Revision: 518923
- rebuild

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 1:0.50.3-16mdv2010.0
+ Revision: 413066
- rebuild

* Fri Mar 06 2009 Antoine Ginies <aginies@mandriva.com> 1:0.50.3-15mdv2009.1
+ Revision: 350024
- 2009.1 rebuild

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 1:0.50.3-14mdv2009.0
+ Revision: 220378
- rebuild

* Sun Mar 09 2008 Anssi Hannula <anssi@mandriva.org> 1:0.50.3-13mdv2008.1
+ Revision: 182430
- provide enchant-dictionary

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 1:0.50.3-12mdv2008.1
+ Revision: 148769
- rebuild
- kill re-definition of %%buildroot on Pixel's request
- s/Mandrake/Mandriva/

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Wed Feb 21 2007 Oden Eriksson <oeriksson@mandriva.com> 0.50.3-11mdv2007.0
+ Revision: 123255
- Import aspell-fr

* Wed Feb 21 2007 Oden Eriksson <oeriksson@mandriva.com> 0.50.3-11mdv2007.1
- use the mkrel macro
- disable debug packages

* Fri Nov 04 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.50.3-10mdk
- fix URL

* Fri Dec 03 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.50.3-9mdk
- rebuild for new aspell

* Wed Jul 28 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 0.50.3-8mdk
- allow build on ia64

